[arch-commits] Commit in perl-net-dns-resolver-programmable/repos (2 files)

Evangelos Foutras foutrelis at archlinux.org
Sat May 25 10:55:57 UTC 2019


    Date: Saturday, May 25, 2019 @ 10:55:57
  Author: foutrelis
Revision: 354216

archrelease: copy trunk to staging-any

Added:
  perl-net-dns-resolver-programmable/repos/staging-any/
  perl-net-dns-resolver-programmable/repos/staging-any/PKGBUILD
    (from rev 354215, perl-net-dns-resolver-programmable/trunk/PKGBUILD)

----------+
 PKGBUILD |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

Copied: perl-net-dns-resolver-programmable/repos/staging-any/PKGBUILD (from rev 354215, perl-net-dns-resolver-programmable/trunk/PKGBUILD)
===================================================================
--- staging-any/PKGBUILD	                        (rev 0)
+++ staging-any/PKGBUILD	2019-05-25 10:55:57 UTC (rev 354216)
@@ -0,0 +1,27 @@
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=perl-net-dns-resolver-programmable
+_realname=Net-DNS-Resolver-Programmable
+pkgver=0.009
+pkgrel=4
+pkgdesc="A Net::DNS::Resolver descendant class for offline emulation of DNS"
+arch=('any')
+license=('GPL' 'PerlArtistic')
+url="https://search.cpan.org/dist/${_realname}/"
+depends=('perl-net-dns' 'perl')
+makedepends=('perl-module-build')
+options=('!emptydirs')
+source=(https://search.cpan.org/CPAN/authors/id/B/BI/BIGPRESH/${_realname}-${pkgver}.tar.gz)
+sha512sums=('a9a239ff454ba186e2a00e578615d6b25075f4e1fde548893681c169d04571c1621b023ecd2ccbb95a8fff50d8b811c410212db31a1b78f2d62977a45e90a735')
+
+build() {
+  cd ${srcdir}/${_realname}-${pkgver}
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+  make
+}
+
+package() {
+  cd ${srcdir}/${_realname}-${pkgver}
+  make install DESTDIR=${pkgdir} || return 1
+}


More information about the arch-commits mailing list